Name:		ethtool
Epoch:		1
Version:	6.3
Release:	%mkrel 1
Summary:	Utility for controlling network drivers and hardware
License:        GPL-2.0-only AND GPL-2.0-or-later
Group:		System/Networking
URL:		https://www.kernel.org/pub/software/network/ethtool/
Source:		https://www.kernel.org/pub/software/network/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(libmnl)

%description
Standard Linux utility for controlling network drivers and hardware,
particularly for wired Ethernet devices. It can be used to:
* Get identification and diagnostic information
* Get extended device statistics
* Control speed, duplex, autonegotiation and flow control for Ethernet devices
* Control checksum offload and other hardware offload features
* Control DMA ring sizes and interrupt moderation
* Control receive queue selection for multiqueue devices
* Upgrade firmware in flash memory

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS NEWS
%{_mandir}/*/*
%{_sbindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}


%changelog
* Fri May 19 2023 luigiwalser <luigiwalser> 1:6.3-1.mga9
+ Revision: 1957369
- 6.3

* Tue Mar 14 2023 luigiwalser <luigiwalser> 1:6.2-1.mga9
+ Revision: 1948859
- 6.2

* Tue Dec 20 2022 daviddavid <daviddavid> 1:6.1-1.mga9
+ Revision: 1925386
- new version: 6.1

* Wed Oct 12 2022 tv <tv> 1:6.0-1.mga9
+ Revision: 1896546
- Upgrade to 6.0

* Fri Aug 26 2022 luigiwalser <luigiwalser> 1:5.19-1.mga9
+ Revision: 1880723
- 5.19

* Wed Jun 29 2022 tv <tv> 1:5.18-1.mga9
+ Revision: 1866565
- Update to 5.18

* Thu Apr 07 2022 luigiwalser <luigiwalser> 1:5.17-1.mga9
+ Revision: 1847494
- 5.17

* Wed Mar 16 2022 umeabot <umeabot> 1:5.16-2.mga9
+ Revision: 1794857
- Mageia 9 Mass Rebuild

* Wed Jan 19 2022 tv <tv> 1:5.16-1.mga9
+ Revision: 1769022
- Update to 5.16

* Fri Nov 12 2021 tv <tv> 1:5.15-1.mga9
+ Revision: 1755894
- 5.15

* Tue Sep 14 2021 tv <tv> 1:5.14-1.mga9
+ Revision: 1745453
- 5.14

* Sun Jul 11 2021 luigiwalser <luigiwalser> 1:5.13-1.mga9
+ Revision: 1735687
- 5.13

* Mon May 03 2021 daviddavid <daviddavid> 1:5.12-1.mga9
+ Revision: 1720979
- new version: 5.12

* Thu Dec 24 2020 luigiwalser <luigiwalser> 1:5.10-1.mga8
+ Revision: 1663492
- 5.10

* Fri Oct 16 2020 luigiwalser <luigiwalser> 1:5.9-1.mga8
+ Revision: 1636301
- 5.9

* Thu Aug 06 2020 luigiwalser <luigiwalser> 1:5.8-1.mga8
+ Revision: 1611378
- 5.8

* Thu Jun 18 2020 luigiwalser <luigiwalser> 1:5.7-1.mga8
+ Revision: 1596558
- 5.7

* Wed May 13 2020 daviddavid <daviddavid> 1:5.6-1.mga8
+ Revision: 1583438
- new version: 5.6

* Wed Feb 19 2020 umeabot <umeabot> 1:5.4-2.mga8
+ Revision: 1543233
- Mageia 8 Mass Rebuild

* Sun Jan 19 2020 luigiwalser <luigiwalser> 1:5.4-1.mga8
+ Revision: 1481521
- 5.4
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Oct 11 2019 daviddavid <daviddavid> 1:5.3-1.mga8
+ Revision: 1451573
- new version: 5.3

* Tue Sep 03 2019 daviddavid <daviddavid> 1:5.2-1.mga8
+ Revision: 1436538
- new version: 5.2

* Thu Mar 14 2019 daviddavid <daviddavid> 1:5.0-1.mga7
+ Revision: 1376370
- new version: 5.0

* Sat Nov 03 2018 daviddavid <daviddavid> 1:4.19-1.mga7
+ Revision: 1327867
- new version: 4.19

* Sun Sep 23 2018 umeabot <umeabot> 1:4.16-2.mga7
+ Revision: 1297628
- Mageia 7 Mass Rebuild

* Mon Apr 16 2018 kekepower <kekepower> 1:4.16-1.mga7
+ Revision: 1219363
- Update to version 4.16

* Thu Nov 30 2017 mjack <mjack> 1:4.13-1.mga7
+ Revision: 1180361
- Updated to version 4.13
- Improved License tag
+ luigiwalser <luigiwalser>
- 4.10
- update URLs

* Fri Nov 11 2016 luigiwalser <luigiwalser> 1:4.8-1.mga6
+ Revision: 1066482
- 4.8

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1:4.6-1.mga6
+ Revision: 1045487
- 4.6

* Mon May 09 2016 luigiwalser <luigiwalser> 1:4.5-1.mga6
+ Revision: 1011353
- 4.5

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1:4.2-1.mga6
+ Revision: 918721
- 4.2

* Fri Aug 21 2015 tmb <tmb> 1:4.0-2.mga6
+ Revision: 867452
- rebuild for new gcc

* Sun Jul 19 2015 sander85 <sander85> 1:4.0-1.mga6
+ Revision: 855455
- New version: 4.0

* Sun Jun 21 2015 luigiwalser <luigiwalser> 1:3.18-1.mga6
+ Revision: 837071
- 3.18

* Wed Oct 15 2014 umeabot <umeabot> 1:3.15-3.mga5
+ Revision: 750900
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:3.15-2.mga5
+ Revision: 679037
- Mageia 5 Mass Rebuild

* Thu Jul 24 2014 luigiwalser <luigiwalser> 1:3.15-1.mga5
+ Revision: 656168
- 3.15

* Sat Apr 26 2014 luigiwalser <luigiwalser> 1:3.14-1.mga5
+ Revision: 618242
- 3.14

* Tue Feb 04 2014 dams <dams> 1:3.13-1.mga5
+ Revision: 580690
- new version 3.13

* Mon Nov 18 2013 tmb <tmb> 1:3.12.1-1.mga4
+ Revision: 551823
- update to 3.12.1

* Sat Oct 19 2013 umeabot <umeabot> 1:3.11-2.mga4
+ Revision: 534831
- Mageia 4 Mass Rebuild

* Sun Sep 15 2013 luigiwalser <luigiwalser> 1:3.11-1.mga4
+ Revision: 479124
- 3.11

* Sun Jul 07 2013 luigiwalser <luigiwalser> 1:3.10-1.mga4
+ Revision: 450900
- 3.10

* Thu May 23 2013 dams <dams> 1:3.9-1.mga4
+ Revision: 424964
- new version 3.9

* Wed Mar 06 2013 dams <dams> 1:3.8-1.mga3
+ Revision: 401537
- new version 3.8

* Tue Jan 22 2013 fwang <fwang> 1:3.7-3.mga3
+ Revision: 390854
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 1:3.7-2.mga3
+ Revision: 349749
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 guillomovitch <guillomovitch> 1:3.7-1.mga3
+ Revision: 331613
- new version
+ dams <dams>
- update description

* Mon Oct 08 2012 fwang <fwang> 1:3.6-1.mga3
+ Revision: 303407
- new version 3.6

* Mon Aug 06 2012 fwang <fwang> 1:3.5-1.mga3
+ Revision: 279427
- new version 3.5

* Tue Jul 24 2012 tv <tv> 1:3.4.2-1.mga3
+ Revision: 273968
- new release

* Thu Jun 14 2012 fwang <fwang> 1:3.4.1-1.mga3
+ Revision: 260426
- new version 3.4.1

* Sun Feb 19 2012 luigiwalser <luigiwalser> 1:3.2-1.mga2
+ Revision: 210637
- 3.2

* Fri Dec 09 2011 guillomovitch <guillomovitch> 1:3.1-1.mga2
+ Revision: 179519
- new version, following kernel versionning scheme

* Tue Jan 11 2011 blino <blino> 6-7.mga1
+ Revision: 5791
- imported package ethtool


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 6-7mdv2011.0
+ Revision: 605107
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 6-6mdv2010.1
+ Revision: 520101
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 6-5mdv2010.0
+ Revision: 424390
- rebuild

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 6-4mdv2009.1
+ Revision: 316627
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 6-3mdv2009.0
+ Revision: 220729
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 6-2mdv2008.1
+ Revision: 149701
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jul 27 2007 Funda Wang <fwang@mandriva.org> 6-1mdv2008.0
+ Revision: 56233
- New version 6


* Sun Dec 03 2006 Emmanuel Andry <eandry@mandriva.org> 5-1mdv2007.0
+ Revision: 90171
- New version 5
- Import ethtool

